<?
echo '<div class="event"><h1>Лидеры дня</h1></div>';
echo'<div class="block">';
//======удаление
if ($ku['dostup']==1){
if(isset($_GET['del'])){
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders` WHERE `id` = '".intval($_GET['id'])."'"),0)==1)
{
mysql_query("DELETE FROM `leaders` WHERE `id` = '" . intval($_GET['id']) . "'");
}
}
}


if(isset($_GET['kup'])){
echo'<div class="block">Услуга "Лидеры дня" позволяет разместить и показывать ваш профиль (по очереди с другими профилями дня) на главной странице игры. Продолжительность услуги вы сможете указать при активации. Активируйте услугу и вас обязательно заметят!</div>';
echo'<b>Внимание:</b>';
echo'<div class="block">Обращаем ваше внимание. Мы оставляем за собой право приостановить действие услуги, в случае размещения в вашем профиле (или фото) оскорблений, мата, рекламы, ссылок на другие сайты.</div>';
echo "<img src='img/icons/lideri.gif' alt='' class='*'/> ";
echo'<a href= "?zakaz"><b>Продолжить</b></a>';
include_once 'inc/foot.php';
}





if($ku){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders` WHERE `user` = '$ku[id]'"), 0)==0)
{
echo"<div class='block'><img width='16' height='16' src='img/icons/lid_go.png' alt='o'> <a href='?glav&kup'>Стать лидером</a></div>";}}

if (!isset($_GET['go']))
{

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders`"),0);
if ($k_post==0)
{echo "Лидеров пока что нет..";}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `leaders` ORDER BY rand() LIMIT $start, $set[p_str]");

while ($a = mysql_fetch_array($q))
{

$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = $a[user] LIMIT 1"));
mysql_query("DELETE FROM `leaders` WHERE `time` < '".(time()-86400*$a['bublik'])."'"); // удаление старых

echo '<div class="block">';

if (file_exists('img/avatars/'.$ank['id'].'.png'))
{echo "<img src='img/avatars/$ank[id].png' align='left' width='30' height='30' alt='' style='vertical-align: middle;' >";
}else{echo "<img src='img/avatar.png' align='left' width='30' height='30' alt='' style='vertical-align: middle;'>";}

echo ''.on_k($a['user']).' <a class="" href=?user='.$a['user'].'>'.nc($a['user']).'</a>';
echo " ".med($a['user'])."";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '$a[user]' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
echo " <img src='img/icons/online.gif' alt='' class='*'/> ";



echo " [<a href='?mail&new_msg=$a[user]'>Написать</a>]<br/>";
echo "Пол: ";
if ($ank['pol']==1){echo "<font color='violet'><b>Парень</b></font><br/>";}
else
echo "<font color='violet'><b>Девушка</b></font><br/>";
echo "Откуда: <font color='orange'><span>".($ank['strana']==NULL?'':hsc($ank['strana']))."</span>,<span>".($ank['city']==NULL?'<font color="#4F4F4F">Не указано</font>':hsc($ank['city']))."</span></font>";




$ban = mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_ban` WHERE `id_user` = '$a[user]' AND (`time` > '$time' OR `izg` = '1') ORDER BY `id` DESC LIMIT 1"));
$us_ban = mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$ban[id_who]'"));

if($ban['id']){
echo "<br/>";
echo "".($ban['izg']==1?'<font color="tomato">Сообщение заблокировано</font>':"<font color='tomato'>Сообщение заблокировано до:</font> <b>".vremja($ban['time']))."</b>";
}
else

if($a['user']){
if ($a['text']!=NULL){
//echo'<br/>Активировано на: '.time_left($a['time']-$time).'';

if ($a['color'])echo "<br/><span style='color:".$a['color']."'>".output_text($a['text'])."</span>";
else
if ($a['color']==null)echo "<br/><span style='color:".$a['color']."'>".output_text($a['text'], $a['id'])."</span>";
echo'<br/>Активировано на: '.time_left($a['time']-$time).'';






}
else
echo "<br/>Без комментариев..\n";
}
if ($ku['dostup']==1)echo '<div style="text-align:right;"><a href="?glav&del&id='.$a['id'].'"><img src="img/icons/cross.png" alt="*"/></a></div>';






echo '</div>';

}
}

if ($k_page>1)str("?glav&",$k_page,$page); // Вывод страниц

include_once 'inc/foot.php';
?>